Bug 784299 - (CVE-2012-0806) CVE-2012-0806 bip: Stack-based buffer overflow when processing connection events
CVE-2012-0806 bip: Stack-based buffer overflow when processing connection events
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120123,reported=2...
: Security
Depends On: 784301 784302
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-24 09:11 EST by Jan Lieskovsky
Modified: 2016-03-04 06:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-21 19:54:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-01-24 09:11:39 EST
A stack-based buffer overflow flaw was found in the way Bip, the IRC proxy, performed handling of IRC servers connection events (the number of file descriptors being used by that connection was not compared against predefined maximum number of file descriptors in 'fd_set'). When number of open file descriptors was greater or equal to FD_SETSIZE an attacker could use this flaw to cause bip daemon crash.

Upstream bug report:
[1] https://projects.duckcorp.org/issues/269

Upstream patch:
[2] https://projects.duckcorp.org/projects/bip/repository/revisions/222a33cb84a2e52ad55a88900b7895bf9dd0262c

CVE Request:
[3] http://www.openwall.com/lists/oss-security/2012/01/24/4
Comment 1 Jan Lieskovsky 2012-01-24 09:14:09 EST
This issue affects the versions of the bip package, as shipped with Fedora EPEL 5 and Fedora EPEL 6. Please schedule an update.

--

This issue affects the versions of the bip package, as shipped with Fedora release of 15 and 16. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-01-24 09:15:25 EST
Created bip tracking bugs for this issue

Affects: fedora-all [bug 784301]
Affects: epel-all [bug 784302]
Comment 3 Vincent Danen 2012-01-24 18:04:59 EST
This was assigned CVE-2012-0806: http://seclists.org/oss-sec/2012/q1/275
Comment 4 Fedora Update System 2012-02-04 00:23:39 EST
bip-0.8.8-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-02-04 00:27:53 EST
bip-0.8.8-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-02-09 13:43:51 EST
bip-0.8.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-02-09 13:47:43 EST
bip-0.8.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.